Recipients
List blocked recipients
List the recipients you have blocked. Callable by a company admin or rep whose role includes the messaging view permission.
Results are paginated by page number with page and per_page (default 20). The response is a two-element array: the pagination details, then the recipients in items.
GET
/
api
/
v1
/
messaging
/
recipients
/
blocked
List blocked recipients
curl --request GET \
--url https://api.fluid.app/api/v1/messaging/recipients/blocked \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/v1/messaging/recipients/blocked"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/v1/messaging/recipients/blocked', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"pagination": {
"current": 1,
"previous": null,
"next": null,
"per_page": 20,
"pages": 1,
"count": 1
}
},
{
"items": [
{
"id": 48133,
"receivable_id": 7759,
"receivable_type": "UserCompany",
"discarded_at": null,
"avatar_background": "8E24AA",
"first_name": "Creed",
"last_name": "Bratton",
"avatar_url": "https://cdn.fluid.app/tr:h-64,w-64/users/7759/creed-bratton.jpg",
"image_url": "https://cdn.fluid.app/users/7759/creed-bratton.jpg",
"status": "offline",
"last_online": "2026-09-18T02:41:19Z",
"country_name": "United States",
"pro_user": false,
"left_conversation_at": null,
"blocked": true
}
]
}
]{
"message": "<string>"
}Authorizations
Bearer token authentication
Query Parameters
The page number to return, starting at 1.
The number of recipients per page. Defaults to 20.
Response
A page of blocked recipients.
- Option 1
- Option 2
Page-number pagination details for a page of results.
Show child attributes
Show child attributes
⌘I
List blocked recipients
